# This file created by conda-build 3.21.6
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/pyzmq-22.3.0-python_3.9-on-linux_64, last modified Thu Dec  2 08:47:00 2021
# ------------------------------------------------

package:
  name: pyzmq
  version: 22.3.0
source:
  sha256: 8eddc033e716f8c91c6a2112f0a8ebc5e00532b4a6ae1eb0ccc48e027f9c671c
  url: https://pypi.io/packages/source/p/pyzmq/pyzmq-22.3.0.tar.gz
build:
  ignore_run_exports:
    - libsodium
    - libstdcxx-ng
  number: '2'
  string: py39h295c915_2
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.35.1 h27ae35d_9
    - binutils_linux-64 2.35.1 h454624a_30
    - gcc_impl_linux-64 7.5.0 h7105cf2_17
    - gcc_linux-64 7.5.0 h8f34230_30
    - gxx_impl_linux-64 7.5.0 h0a5bf11_17
    - gxx_linux-64 7.5.0 hffc177d_30
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libgcc-devel_linux-64 7.5.0 hbbeae57_17
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-devel_linux-64 7.5.0 hf0c5c8d_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - pkg-config 0.29.2 h1bed415_8
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - ca-certificates 2021.10.26 h06a4308_2
    - certifi 2021.10.8 py39h06a4308_0
    - cython 0.29.24 py39hdbfa776_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libsodium 1.0.18 h7b6447c_0
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1l h7f8727e_0
    - packaging 21.3 pyhd3eb1b0_0
    - pip 21.2.4 py39h06a4308_0
    - pyparsing 3.0.4 pyhd3eb1b0_0
    - python 3.9.7 h12debd9_1
    - readline 8.1 h27cfd23_0
    - setuptools 58.0.4 py39h06a4308_0
    - sqlite 3.36.0 hc218d9a_0
    - tk 8.6.11 h1ccaba5_0
    - tzdata 2021e hda174b7_0
    - wheel 0.37.0 pyhd3eb1b0_1
    - xz 5.2.5 h7b6447c_0
    - zeromq 4.3.4 h2531618_0
    - zlib 1.2.11 h7b6447c_3
  run:
    - libgcc-ng >=7.5.0
    - python >=3.9,<3.10.0a0
    - zeromq >=4.3.4,<4.4.0a0
    - zeromq >=4.3.4,<4.4.0a0
test:
  commands:
    - py.test --pyargs zmq.tests.test_socket
  imports:
    - zmq
    - zmq.backend.cython.socket
    - zmq.backend.cython.utils
    - zmq.devices.monitoredqueue
  requires:
    - pytest
about:
  description: 'PyZMQ contains Python bindings for 0MQ. 0MQ is a lightweight and fast

    messaging implementation.

    '
  dev_url: https://github.com/zeromq/pyzmq
  doc_source_url: https://github.com/zeromq/pyzmq/blob/master/docs/source/index.rst
  doc_url: https://pyzmq.readthedocs.org/
  home: https://github.com/zeromq/pyzmq
  license: BSD-3-clause
  license_family: BSD
  license_file: COPYING.BSD
  summary: Python bindings for zeromq
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - JohanMabille
    - SylvainCorlay
    - chenghlee
    - jakirkham
    - mingwandroid
    - minrk
    - msarahan
    - ocefpaf
    - pelson
